stages:
    - build
    - test
    - acceptance

build-demo:
    stage: build
    image: node:20.3.1
    needs: []
    script:
        - echo "Building demo of website"
        - node -v
        - npm i
        - npm run build

frontend-acceptance:
    stage: acceptance
    image: joyzoursky/python-chromedriver:3.9-selenium
    script:
        - echo "front end acceptance test"
        - python --version
        - python -m pip install pytest
        - pytest tests/frontend_acceptance.py

frontend-unit-tests:
    stage: test
    needs: []
    image: node:20.3.1
    script:
        - echo "front end unit tests"
        - node -v
        - npm i
        - npm i jest
        - npm test

backend-test:
    stage: test
    needs: []
    image: python:3.11.8
    script:
        - echo "back end tests"
        - python --version
        - python -m pip install -r Docker/backendrequirements.txt
        - pytest tests/backend_tests.py

scripts-test:
    stage: test
    needs: []
    image: python:3.11.8
    script:
        - echo "scripts tests"
        - python --version
        - python -m pip install -r Docker/backendrequirements.txt
        - pytest scripts_tests.py

